/*
 * ChangeOperatorC.h - Simple change operator: one point mutation.
 *
 * Part of the Library for Evolutionary Algorithm Programming.
 *
 * Copyright (C) 1998 J.I. van Hemert
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Author: J.I. van Hemert
 * Last Revision: 26-May-1998
 *
 */

#ifndef ChangeOperatorC_h
#define ChangeOperatorC_h 1

#include "Reproduction/ChangeOperatorA.h"

#include "Reproduction/ReproductionFactoryA.h"
#include "Error/LibraryErrorC.h"
//#include "Problem/FitnessValueA.h"


class ChangeOperatorC: public ChangeOperatorA
{
	public:

		ChangeOperatorC
		(
			ConfigurationA const & iConfiguration,
			ProblemFactoryA const & iProblemFactory,
			ProblemA const & iProblem,
			RandomA const & iRandom
		);

		virtual ~ChangeOperatorC();

		virtual void operator()
		(
			ArrayC<GenotypeA*> const & iArray
		) const;

	protected:

	private:

}; // ChangeOperatorC

#endif

// Eof ChangeOperatorC.h
