/*
 * RandomC.cc - Simple random-generator.
 *
 * Part of the Library for Evolutionary Algorithm Programming.
 *
 * Copyright (C) 1998 J.I. van Hemert
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Author: J.I. van Hemert
 * Last Revision: 26-Jun-1998
 *
 */

#include "Common/RandomC.h"


RandomC::RandomC()
{
	State = new char[128];

	initstate(Seed, State, 128);

} // RandomC



RandomC::operator DataType()
{
	RandomNumber = random();

	return RandomNumber;

} // operator()



DataType
RandomC::operator()
(
	DataType iRange
) const
{
	RandomNumber = random() % iRange;

	return RandomNumber;

} // operator()



RandomC::~RandomC()
{
	delete [] State;

} // ~RandomC



void
RandomC::DoSeed
(
	DataType const & iSeed
)
{
	srandom(iSeed);
} // DoSeed



// Eof RandomC.cc
